Subject: Re: [PATCH Resubmission] drivers/net/usb: Add new driver ipheth

From: Roland Dreier <[email-masked]>
Date: Wed, 07 Apr 2010 15:37:15 -0700

These are a few of the cosmetic issues alluded to, and by no means merge
blockers, but:

 > +	schedule_delayed_work(&dev->carrier_work, IPHETH_CARRIER_CHECK_TIMEOUT);

Seems this might as well be round_jiffies_relative(IPHETH_CARRIER_CHECK_TIMEOUT)
to avoid extra wakeups.

 > +	netdev = alloc_etherdev(sizeof(struct ipheth_device));

This means that the interface will get an ethX name and look to
networkmanager et al like an ethernet device.  Seems we would maybe want
to make this a "wwan" type device (cf drivers/net/usb/usbnet.c and how
it handles FLAG_WWAN)?

 - R.
-- 
Roland Dreier <[email-masked]> || For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html